#include <iostream>
#include <vector>
using namespace std;
vector<int> solve(vector<int> a) {
	vector<int> ans;
	for (int i = 0; i < a.size(); i++) {
		if (i == 0) {
			ans.push_back(a.size() - 1);
		}
		else {
			ans.push_back(i - 1);
		}
	}
	return ans;
}